package com.example.catchme;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;

public class HomeActivity extends AppCompatActivity {




    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Intent getGameParemeterActivity = getIntent();


        //if there are some data in it then
        if(getGameParemeterActivity.getExtras()!=null){
            typeNickname(getGameParemeterActivity);
        }

    }

    public void gameP(View v){
        Intent i =new Intent(this, GameParameterActivity.class);
        startActivityForResult(i, 4);
    }


    public void typeNickname(Intent intent){

        intent = getIntent();
        String nickname =intent.getStringExtra("nickname");
        TextView nicknameTextView = findViewById(R.id.nickname);
        String s="";
            s = nickname +" will play ...";


        nicknameTextView.setText(s);

    }



    public void play(View view){
        Intent getGameParemeterActivity = getIntent();


        Intent gameActivity = new Intent(this, GameActivity.class);
        //send data to play activity
        if(getGameParemeterActivity.getExtras() != null){

            gameActivity.putExtra("nickname", getGameParemeterActivity.getStringExtra("nickname").toString());
            gameActivity.putExtra("target", getGameParemeterActivity.getStringExtra("target").toString());
            gameActivity.putExtra("hunter", getGameParemeterActivity.getStringExtra("hunter").toString());
            gameActivity.putExtra("result", getGameParemeterActivity.getStringExtra("result").toString());
            gameActivity.putExtra("sound", getGameParemeterActivity.getStringExtra("sound").toString());


        }else{
            gameActivity.putExtra("nickname", "unknown");
            gameActivity.putExtra("target", "Mouse");
            gameActivity.putExtra("hunter", "Cat");
            gameActivity.putExtra("result", "Blood");
            gameActivity.putExtra("sound", "Bip");

        }

        startActivityForResult(gameActivity,2);

    }



    public void quit(View view){
        finish();
    }
}